xvmlgt(1)

NAME
xvmlgt - Logtalk integration script for XVM

SYNOPSIS
xvmlgt [-q] [-g goal]

DESCRIPTION
xvmlgt is a Logtalk integration script for XVM. It automatically loads the XVM adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the lookup directories. It uses the xvmpl executable -f option to load the Logtalk files. It passes any other options to the xvmpl executable; see the XVM documentation for the available options. By default, this script runs XVM using rlwrap if available.

OPTIONS
The two most common options are:

-q  Silence Logtalk default startup messages and compilation messages by setting the report flag to warnings.

-g  goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
XVM 10.0.0 or a later version is required. This integration script looks for a xvmpl executable in the system path.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/integration/logtalk_xvm.pl
    Prolog file used for loading the necessary files for starting Logtalk using XVM as the backend compiler.

$LOGTALKHOME/adapters/xvm.pl
    The XVM adapter file.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$XDG_CONFIG_HOME/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/.config/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2024 Paulo Moura.